<div>
  <h2 id="page-heading" data-cy="UnidadeHeading">
    <span jhiTranslate="matrixApp.unidade.home.title">Unidades</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="matrixApp.unidade.home.refreshListLabel">Atualizar lista</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-unidade"
        [routerLink]="['/unidade/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="matrixApp.unidade.home.createLabel">Criar novo Unidade</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="unidades?.length === 0">
    <span jhiTranslate="matrixApp.unidade.home.notFound">Nenhum Unidade encontrado</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="unidades && unidades.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.unidade.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="codigo">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.unidade.codigo">Codigo</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="trilha.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.unidade.trilha">Trilha</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let unidade of unidades; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/unidade', unidade.id, 'view']">{{ unidade.id }}</a>
          </td>
          <td>{{ unidade.codigo }}</td>
          <td>
            <div *ngIf="unidade.trilha">
              <a [routerLink]="['/trilha', unidade.trilha.id, 'view']">{{ unidade.trilha.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/unidade', unidade.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Visualizar</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/unidade', unidade.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editar</span>
              </button>

              <button type="submit" (click)="delete(unidade)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Excluir</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
